> For the complete documentation index, see [llms.txt](https://docs.workflowgen.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.workflowgen.com/tech/9.1/okta-integration/generating-a-universal-link.md).

# Generating a Universal Link

## Overview

As of WorkflowGen server version 7.14.0, you can generate a universal link to simplify the Okta login process for your WorkflowGen Plus mobile app users.

## Base URL

* **protocol:** `workflowgenplus://`
* **hostname:** `auth.init`

## Parameters

You'll need to specify the following parameters:

* **provider:** `okta`&#x20;
* **server\_address**: Your WorkflowGen application URL, whose value must be URL encoded (e.g. `https://mycompany.com/wfgen`)
* **client\_id:** Use the `client ID` you created earlier in the configuration (e.g. `0o7gdj4hs92yh7`) from the step [Okta configuration for WorkflowGen Plus v2](#okta-configuration-for-workflowgen-plus-v2).
* **metadata\_url:** The `metadata URL`, which consists of the value of **Metadata URI** property from the **Settings** tab of your WorkflowGen GraphQL API authorization server with `/.well-known/oauth-authorization-server` replaced by `/.well-known/openid-configuration` (e.g. `https://{YOUR_OKTA_DOMAIN}/oauth2/{AUTH_SERVER_ID}/.well-known/openid-configuration`). The value must be URL encoded.
* **audience**: Your WorkflowGen GraphQL API URL, whose value must be URL encoded (e.g. `https://mycompany.com/wfgen/graphql`)

The universal link should follow this format:

```
workflowgenplus://auth.init?provider=okta&server_address=https%3A%2F%2Fmycompany.com%2Fwfgen&client_id=0o7gdj4hs92yh7&metadata_url=https%3A%2F%2F{YOUR_OKTA_DOMAIN}%2Foauth2%2F{AUTH_SERVER_ID}%2F.well-known%2Fopenid-configuration&audience=https%3A%2F%2Fmycompany.com%2Fwfgen%2Fgraphql
```

{% hint style="success" %}
Once you've generated the universal link, give it to your users, who can use it to sign in to WorkflowGen Plus with the preset sign-in method.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.workflowgen.com/tech/9.1/okta-integration/generating-a-universal-link.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
